shiro-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mária Jurčovičová <m.jurcovic...@gmail.com>
Subject Re: Dependencies
Date Thu, 05 Apr 2012 06:51:46 GMT
Hi Nuno Santos,

the article is a year old, Shiro released new version in between. Use
<version>1.2.0</version> to get released version from the central maven
repository.

This way, you do not have to set up snapshots repository.

If you insist on snapshot (which I do not recommend), use 1.3.0-SNAPSHOT
version number. How to configure alternative maven repository is described
here: http://maven.apache.org/guides/mini/guide-multiple-repositories.html

With Regards,
Meri



On Thu, Apr 5, 2012 at 1:10 AM, NunoM <nunowasted@hotmail.com> wrote:

> Good evening,
>
> I am a new user to both Apache Shiro and Apache Maven.
>
> I decided to start with this tutorial:
> http://meri-stuff.blogspot.pt/2011/03/apache-shiro-part-1-basics.html
>
> I have the Maven Eclipse plugin installed, and I tested it with some sample
> applications and it worked fine.
>
> But when I tried to run the tutorial application found in
> https://github.com/SomMeri/SimpleShiroSecuredApplication I ran into some
> trouble (see image):
> http://shiro-user.582556.n2.nabble.com/file/n7438372/dependencies.png
>
>
> In github, the author says: *Please, add maven snapshots repository into
> your maven settings.xml:
> https://repository.apache.org/content/groups/snapshots-group/*. But even
> googling for tutorials on how to do it, my search has been fruitless.
>
> So can anyone shed me some lights in how I do it?
>
> Thanks in advance,
> Nuno.
>
> --
> View this message in context:
> http://shiro-user.582556.n2.nabble.com/Dependencies-tp7438372p7438372.html
> Sent from the Shiro User mailing list archive at Nabble.com.
>

Mime
View raw message